netbeans-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Pavel Selivanov (Jira)" <j...@apache.org>
Subject [jira] [Updated] (NETBEANS-1367) PHP frameworks: End of Life or outdated installers.
Date Wed, 15 Apr 2020 14:36:00 GMT

     [ https://issues.apache.org/jira/browse/NETBEANS-1367?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Pavel Selivanov updated NETBEANS-1367:
--------------------------------------
    Affects Version/s: 12.0

> PHP frameworks: End of Life or outdated installers.
> ---------------------------------------------------
>
>                 Key: NETBEANS-1367
>                 URL: https://issues.apache.org/jira/browse/NETBEANS-1367
>             Project: NetBeans
>          Issue Type: Bug
>          Components: php - Symfony, php - Zend
>    Affects Versions: 10.0, 12.0
>            Reporter: Alexander Romanenko
>            Priority: Minor
>
> Zend Framework 1 and Symfony 1 are EOL.
> Zend 2 not _exactly_ EOL in favor of 3, but some parts of it are, difficult to tell
because it is no longer a monolithic framework that one "installs". This leads to another
problem of frameworks listed (not the tools like PHPUnit) being configured as if there is
a global external zipped library that gets referenced.
> _Composer create-project_ <_packagist/repository>_ command has been the standard
across all frameworks. There is no more "symfony installer" or "zend skeleton application
zip" one can download anymore.
> Doctrine no longer uses pear or single entry point for commands.
> *ALSO*, the scripts are global to netbeans, not per project, which is a problem because
these frameworks are unique to each project's _vendor_ sub-directory.
>  
> I propose removing application level frameworks from the list, until the plugin has caught
up with composer workflow:
>  * Nette2
>  * Symfony (EOL)
>  * Symfon 2/3
>  * Zend (EOL)
>  * Zend 2
>  * PHPUnit skeleton generator (not the main phpunit)
>  * Doctrine 2
>  
> (I did not test all utility level frameworks, that may be its own problem)
> EDIT: tested
>  * PhpUnit - passed (but is a global level option, not project specific, which will cause
breakages)
>  * Doctrine 2 - failed.



--
This message was sent by Atlassian Jira
(v8.3.4#803005)

---------------------------------------------------------------------
To unsubscribe, e-mail: commits-unsubscribe@netbeans.apache.org
For additional commands, e-mail: commits-help@netbeans.apache.org

For further information about the NetBeans mailing lists, visit:
https://cwiki.apache.org/confluence/display/NETBEANS/Mailing+lists


Mime
View raw message